#pragma once
#ifndef __MousePointer_H__
#define __MousePointer_H__

class MousePointer
	: public Pointer
{
public:
	MousePointer();
	virtual ~MousePointer();

	void ProcessButton(Input::InputId ButtonId, bool Pressed);
	void ProcessPosition(Vector2n Position);

private:
	MousePointer(const MousePointer &);
	MousePointer & operator =(const MousePointer &);

	bool AnyButtonsPressed() const;

	std::vector<bool>		m_ButtonsPressed;
};

#endif // __MousePointer_H__
