#pragma once
#ifndef __Pointer_H__
#define __Pointer_H__

class Pointer
{
public:
	void ProcessActivation();
	void ProcessDeactivation();

	bool IsActive();

	virtual void ProcessButton(Input::InputId ButtonId, bool Pressed);
	virtual void ProcessSlider(Input::InputId SliderId, double MovedAmount);

	void ProcessTimePassed(const double TimePassed);

	WidgetMapping & GetWidgetMapping();

protected:
	Pointer();
	virtual ~Pointer();

private:
	Pointer(const Pointer &);
	Pointer & operator =(const Pointer &);

	bool				m_IsActive;

	WidgetMapping		m_WidgetMapping;
};

#endif // __Pointer_H__
