#pragma once
#ifndef __TouchPointer_H__
#define __TouchPointer_H__

class TouchPointer
	: public Pointer
{
public:
	TouchPointer();
	virtual ~TouchPointer();

	Vector2n & PreviousTouchPosition();

	void ProcessButton(Input::InputId ButtonId, bool Pressed);
	void ProcessPosition(Vector2n Position);

private:
	TouchPointer(const TouchPointer &);
	TouchPointer & operator =(const TouchPointer &);

	bool			m_Touching;
	Vector2n		m_PreviousTouchPosition;
};

#endif // __TouchPointer_H__
