#include "../../Main.h"

TypingPointer::TypingPointer()
	: Pointer(),
	  m_ButtonsPressed(GLFW_KEY_LAST + 1, false)
{
}

TypingPointer::~TypingPointer()
{
}

void TypingPointer::ProcessButton(Input::InputId ButtonId, bool Pressed)
{
	m_ButtonsPressed[ButtonId] = Pressed;
}

void TypingPointer::ProcessCharacter(int Character)
{
	//printf("TypingPointer::ProcessCharacter(%c)\n", Character);
}

void TypingPointer::ProcessTimePassed(const double TimePassed)
{
	// HACK: For testing purposes
#if 0
	{
		const double SpeedMultiplier = 250;

		if (m_ButtonsPressed[GLFW_KEY_LEFT] && !m_ButtonsPressed[GLFW_KEY_RIGHT])
		{
			pMainScreen->MainCanvas.MoveView(0, SpeedMultiplier * TimePassed);
		}
		else if (m_ButtonsPressed[GLFW_KEY_RIGHT] && !m_ButtonsPressed[GLFW_KEY_LEFT])
		{
			pMainScreen->MainCanvas.MoveView(0, -SpeedMultiplier * TimePassed);
		}

		if (m_ButtonsPressed[GLFW_KEY_UP] && !m_ButtonsPressed[GLFW_KEY_DOWN])
		{
			pMainScreen->MainCanvas.MoveView(1, SpeedMultiplier * TimePassed);
		}
		else if (m_ButtonsPressed[GLFW_KEY_DOWN] && !m_ButtonsPressed[GLFW_KEY_UP])
		{
			pMainScreen->MainCanvas.MoveView(1, -SpeedMultiplier * TimePassed);
		}
	}
#endif
}
